org.eclipse.jgit.errors

## Class RepositoryNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.TransportException
        - - org.eclipse.jgit.errors.RepositoryNotFoundException

All Implemented Interfaces:
  Serializable

    public class RepositoryNotFoundException
    extends TransportException

Indicates a local repository does not exist.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RepositoryNotFoundException(File location)` Constructs an exception indicating a local repository does not exist.
`RepositoryNotFoundException(File location, Throwable why)` Constructs an exception indicating a local repository does not exist.
`RepositoryNotFoundException(String location)` Constructs an exception indicating a local repository does not exist.
`RepositoryNotFoundException(String location, Throwable why)` Constructs an exception indicating a local repository does not exist.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryNotFoundException

    public RepositoryNotFoundException(File location)

Constructs an exception indicating a local repository does not exist.

Parameters:
  `location` - description of the repository not found, usually file path.

#### RepositoryNotFoundException

    public RepositoryNotFoundException(File location,
                                       Throwable why)

Constructs an exception indicating a local repository does not exist.

Parameters:
  `location` - description of the repository not found, usually file path.
  `why` - why the repository does not exist.

#### RepositoryNotFoundException

    public RepositoryNotFoundException(String location)

Constructs an exception indicating a local repository does not exist.

Parameters:
  `location` - description of the repository not found, usually file path.

#### RepositoryNotFoundException

    public RepositoryNotFoundException(String location,
                                       Throwable why)

Constructs an exception indicating a local repository does not exist.

Parameters:
  `location` - description of the repository not found, usually file path.
  `why` - why the repository does not exist.